LLVM: lldb::SBTypeCategory Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBTypeCategory Class Reference

`#include <SBTypeCategory.h>`

Collaboration diagram for lldb::SBTypeCategory:
[legend]

## Public Member Functions
| SBTypeCategory ()
| SBTypeCategory (const lldb::SBTypeCategory &rhs)
| ~SBTypeCategory ()
bool | IsValid () const
bool | GetEnabled ()
void | SetEnabled (bool)
const char * | GetName ()
bool | GetDescription (lldb::SBStream &description, lldb::DescriptionLevel description_level)
uint32_t | GetNumFormats ()
uint32_t | GetNumSummaries ()
uint32_t | GetNumFilters ()
uint32_t | GetNumSynthetics ()
SBTypeNameSpecifier | GetTypeNameSpecifierForFilterAtIndex (uint32_t)
SBTypeNameSpecifier | GetTypeNameSpecifierForFormatAtIndex (uint32_t)
SBTypeNameSpecifier | GetTypeNameSpecifierForSummaryAtIndex (uint32_t)
SBTypeNameSpecifier | GetTypeNameSpecifierForSyntheticAtIndex (uint32_t)
SBTypeFilter | GetFilterForType (SBTypeNameSpecifier)
SBTypeFormat | GetFormatForType (SBTypeNameSpecifier)
SBTypeSummary | GetSummaryForType (SBTypeNameSpecifier)
SBTypeSynthetic | GetSyntheticForType (SBTypeNameSpecifier)
SBTypeFilter | GetFilterAtIndex (uint32_t)
SBTypeFormat | GetFormatAtIndex (uint32_t)
SBTypeSummary | GetSummaryAtIndex (uint32_t)
SBTypeSynthetic | GetSyntheticAtIndex (uint32_t)
bool | AddTypeFormat (SBTypeNameSpecifier, SBTypeFormat)
bool | DeleteTypeFormat (SBTypeNameSpecifier)
bool | AddTypeSummary (SBTypeNameSpecifier, SBTypeSummary)
bool | DeleteTypeSummary (SBTypeNameSpecifier)
bool | AddTypeFilter (SBTypeNameSpecifier, SBTypeFilter)
bool | DeleteTypeFilter (SBTypeNameSpecifier)
bool | AddTypeSynthetic (SBTypeNameSpecifier, SBTypeSynthetic)
bool | DeleteTypeSynthetic (SBTypeNameSpecifier)
lldb::SBTypeCategory & | operator= (const lldb::SBTypeCategory &rhs)
bool | operator== (lldb::SBTypeCategory &rhs)
bool | operator!= (lldb::SBTypeCategory &rhs)

## Protected Member Functions
lldb::TypeCategoryImplSP | GetSP ()
void | SetSP (const lldb::TypeCategoryImplSP &typecategory_impl_sp)
| SBTypeCategory (const lldb::TypeCategoryImplSP &)
| SBTypeCategory (const char *)
bool | IsDefaultCategory ()

## Protected Attributes
TypeCategoryImplSP | m_opaque_sp

## Friends
class | SBDebugger

## Detailed Description

Definition at line 17 of file SBTypeCategory.h.

## Constructor & Destructor Documentation

lldb::SBTypeCategory::SBTypeCategory | ( |  | ) |

lldb::SBTypeCategory::SBTypeCategory | ( | const lldb::SBTypeCategory & | rhs | ) |

lldb::SBTypeCategory::~SBTypeCategory | ( |  | ) |

lldb::SBTypeCategory::SBTypeCategory | ( | const lldb::TypeCategoryImplSP & |  | ) |
| protected

lldb::SBTypeCategory::SBTypeCategory | ( | const char * |  | ) |
| protected

## Member Function Documentation

bool lldb::SBTypeCategory::AddTypeFilter | ( | SBTypeNameSpecifier | ,
|  | SBTypeFilter |
| ) |  |

bool lldb::SBTypeCategory::AddTypeFormat | ( | SBTypeNameSpecifier | ,
|  | SBTypeFormat |
| ) |  |

bool lldb::SBTypeCategory::AddTypeSummary | ( | SBTypeNameSpecifier | ,
|  | SBTypeSummary |
| ) |  |

bool lldb::SBTypeCategory::AddTypeSynthetic | ( | SBTypeNameSpecifier | ,
|  | SBTypeSynthetic |
| ) |  |

bool lldb::SBTypeCategory::DeleteTypeFilter | ( | SBTypeNameSpecifier |  | ) |

bool lldb::SBTypeCategory::DeleteTypeFormat | ( | SBTypeNameSpecifier |  | ) |

bool lldb::SBTypeCategory::DeleteTypeSummary | ( | SBTypeNameSpecifier |  | ) |

bool lldb::SBTypeCategory::DeleteTypeSynthetic | ( | SBTypeNameSpecifier |  | ) |

bool lldb::SBTypeCategory::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::DescriptionLevel | description_level
| ) |  |

bool lldb::SBTypeCategory::GetEnabled | ( |  | ) |

SBTypeFilter lldb::SBTypeCategory::GetFilterAtIndex | ( | uint32_t |  | ) |

SBTypeFilter lldb::SBTypeCategory::GetFilterForType | ( | SBTypeNameSpecifier |  | ) |

SBTypeFormat lldb::SBTypeCategory::GetFormatAtIndex | ( | uint32_t |  | ) |

SBTypeFormat lldb::SBTypeCategory::GetFormatForType | ( | SBTypeNameSpecifier |  | ) |

const char* lldb::SBTypeCategory::GetName | ( |  | ) |

uint32_t lldb::SBTypeCategory::GetNumFilters | ( |  | ) |

uint32_t lldb::SBTypeCategory::GetNumFormats | ( |  | ) |

uint32_t lldb::SBTypeCategory::GetNumSummaries | ( |  | ) |

uint32_t lldb::SBTypeCategory::GetNumSynthetics | ( |  | ) |

lldb::TypeCategoryImplSP lldb::SBTypeCategory::GetSP | ( |  | ) |
| protected

SBTypeSummary lldb::SBTypeCategory::GetSummaryAtIndex | ( | uint32_t |  | ) |

SBTypeSummary lldb::SBTypeCategory::GetSummaryForType | ( | SBTypeNameSpecifier |  | ) |

SBTypeSynthetic lldb::SBTypeCategory::GetSyntheticAtIndex | ( | uint32_t |  | ) |

SBTypeSynthetic lldb::SBTypeCategory::GetSyntheticForType | ( | SBTypeNameSpecifier |  | ) |

SBTypeNameSpecifier lldb::SBTypeCategory::GetTypeNameSpecifierForFilterAtIndex | ( | uint32_t |  | ) |

SBTypeNameSpecifier lldb::SBTypeCategory::GetTypeNameSpecifierForFormatAtIndex | ( | uint32_t |  | ) |

SBTypeNameSpecifier lldb::SBTypeCategory::GetTypeNameSpecifierForSummaryAtIndex | ( | uint32_t |  | ) |

SBTypeNameSpecifier lldb::SBTypeCategory::GetTypeNameSpecifierForSyntheticAtIndex | ( | uint32_t |  | ) |

bool lldb::SBTypeCategory::IsDefaultCategory | ( |  | ) |
| protected

bool lldb::SBTypeCategory::IsValid | ( |  | ) | const

bool lldb::SBTypeCategory::operator!= | ( | lldb::SBTypeCategory & | rhs | ) |

lldb::SBTypeCategory& lldb::SBTypeCategory::operator= | ( | const lldb::SBTypeCategory & | rhs | ) |

bool lldb::SBTypeCategory::operator== | ( | lldb::SBTypeCategory & | rhs | ) |

void lldb::SBTypeCategory::SetEnabled | ( | bool |  | ) |

void lldb::SBTypeCategory::SetSP | ( | const lldb::TypeCategoryImplSP & | typecategory_impl_sp | ) |
| protected

## Friends And Related Function Documentation

friend class SBDebugger
| friend

Definition at line 147 of file SBTypeCategory.h.

## Member Data Documentation

TypeCategoryImplSP lldb::SBTypeCategory::m_opaque_sp
| protected

Definition at line 155 of file SBTypeCategory.h.

The documentation for this class was generated from the following file:

- SBTypeCategory.h